Guests - If You want access to member only forums on FM. You will gain access only when you Sign-in or Sign-Up on Fishing Minnesota.

It's easy - LOOK UPPER right menu.

Sign in to follow this  
Followers 0
meathunter

lowrance upgrade problems

7 posts in this topic

A while back there was a topic about problems with different versions of the lowrance upgrade problems. I could not find the logs. My question is which units were haveing problems with reading in water of less than 15ft in the weeds and so forth. I am going to be buying a new unit and dont want to have the issues with reading in shallow water and in the weeds. The unit i think were the problem was the lcx110c. I have a lcx17m and i have issues in the weeds but once im out past the edge it is great. I am thinking about the lcx27c is this one of those units?

Share this post


Link to post
Share on other sites

Yes it was, since I have one (lcx27c), but there's a new upgrade software for it. I haven't tried it on water of course but apparently it should be fixed.

Share this post


Link to post
Share on other sites

It was not the unit itself that had the problem, it was a software version. Lowrance swore up and down that it was not an issue, but all of us found differently. I had issues with a 25c, a 332, and a eagle model. I have installed the newest versions of the software on my lcx-25c and my lcx 112c, and have not had a lick of problems with the new versions. I do however keep the older versions around, just in case.

Share this post


Link to post
Share on other sites

I am in the same boat as sparkaber-I have 1.4 and 1.6 and the problem version is 1.7. I have the newest on my 25c and it seems to work great but will keep the older versions just in case of any new bugs.

Share this post


Link to post
Share on other sites

What do you mean you will keep the older versions? Can you save them onto to a card, or did you update them previously to that, so you have them on a card already?

I see Lowrance's website has an update version 2.1.0 My two Lcx27's both have these issues. I downloaded the 2.1.0 and will be installing it soon. Hope this resolves the issue.

Share this post


Link to post
Share on other sites

I have the copies on my computer so if I ever want to go back to a later version I can just load it on a SD card and put it in my Lowrance but for now I will keep the newest version cause I did not get to use it enough in the fall to truly test it. When I download the software I always choose to have it go in my documents and from there I will put it on my SD card. Hope this helps.

Share this post


Link to post
Share on other sites

yeah EXACTLY what jimalm said!

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.
Sign in to follow this  
Followers 0